{
  "version": "2.0.0",
  "tasks": [
    {
      "label": "Build: Release",
      "type": "shell",
      "command": "arduino-cli compile --fqbn esp32:esp32:esp32s3box --build-property \"build.partitions=default_16MB\" --output-dir ./build/release .",
      "group": {
        "kind": "build",
        "isDefault": true
      },
      "presentation": {
        "reveal": "always",
        "panel": "shared"
      },
      "problemMatcher": []
    },
    {
      "label": "Build: Debug",
      "type": "shell",
      "command": "arduino-cli compile --fqbn esp32:esp32:esp32s3box --build-property \"build.partitions=default_16MB\" --build-property \"build.code_debug=5\" --output-dir ./build/debug .",
      "group": "build",
      "presentation": {
        "reveal": "always",
        "panel": "shared"
      },
      "problemMatcher": []
    },
    {
      "label": "Clean Build Folders",
      "type": "shell",
      "command": "rm -rf ./build",
      "problemMatcher": []
    }
  ]
}
